 
; I just wanna add a new animation i found but it doesn't seem to work if i don't coppy all this again :(






 ; ------ Flying ------- ;
		AnimationState        			= STUNNED_STANDING_UP
			StateName					= GetUp
			Animation           		= GetUpSword
				AnimationName       	= RUElrond_SKL.RUElrond_GTPSX1
				AnimationMode       	= ONCE
			End
			BeginScript
				Prev = CurDrawablePrevAnimation()
				if Prev == "FallWithSword"
				then
					return "GetUpSword"
				end
			EndScript
		End
		AnimationState        			= STUNNED
			Animation           		= FallWithSword
				AnimationName       	= RUElrond_SKL.RUElrond_LNDB
				AnimationMode       	= ONCE
			End
			Flags = MAINTAIN_FRAME_ACROSS_STATES
			BeginScript
				CurDrawableHideSubObject("ArrowNock")
				CurDrawableHideSubObject("arrow")
				Prev = CurDrawablePrevAnimation()
			
				return "FallWithSword"
			EndScript
		End
		AnimationState        			= STUNNED_FLAILING
			Animation           		= DieWithSword
				AnimationName       	= RUElrond_SKL.RUElrond_FLYB
				AnimationMode       	= LOOP
				AnimationSpeedFactorRange	= 0.4 0.6
			End
			BeginScript
				CurDrawableHideSubObject("ArrowNock")
				CurDrawableHideSubObject("arrow")
			EndScript
		End
 ; ------ Dying ------- ;
		AnimationState        			= DYING
			Animation           		= DieWithSword
				AnimationName       	= RUElrond_SKL.RUElrond_DIESv5
				AnimationMode       	= ONCE
			End
			BeginScript
				CurDrawableHideSubObject("ArrowNock")
				CurDrawableHideSubObject("arrow")
			EndScript
		End
		AnimationState						= PARALYZED
			Animation
				AnimationName				= RUElrond_SKL.RUElrond_IDLF
				AnimationMode				= LOOP
			End
		End
 ; ------------ Moving ------------- ;
		AnimationState        			= MOVING
			StateName					= Moving_Sword
			SimilarRestart				= Yes
			Animation           		= run_s
				AnimationName       	= RUElrond_SKL.RUElrond_RUNS
				AnimationMode       	= LOOP
				Distance				= 40
			End
			Animation					= finishrun_b
				AnimationName       	= RUElrond_SKL.RUElrond_RUNB
				AnimationMode       	= ONCE
				AnimationBlendTime		= 0
				Distance				= 40

			End
			Animation					= runtrans_bs
				AnimationName       	= RUElrond_SKL.RUElrond_RUNC
				AnimationMode       	= ONCE
				AnimationBlendTime		= 0
				Distance				= 70
			End
			Animation					= runtrans_sb_finish
				AnimationName       	= RUElrond_SKL.RUElrond_RUNT
				AnimationMode       	= ONCE
				AnimationBlendTime		= 0
				Distance				= 70
			End
			Animation					= runnoblend_s
				AnimationName       	= RUElrond_SKL.RUElrond_RUNS
				AnimationMode       	= LOOP
				AnimationBlendTime		= 0
				Distance				= 40
			End
			Flags = MAINTAIN_FRAME_ACROSS_STATES RESTART_ANIM_WHEN_COMPLETE
			BeginScript
				PrevAnim	= CurDrawablePrevAnimation()
				PrevState	= CurDrawablePrevAnimationState()
				if PrevState == "GetUp"  or PrevAnim == "DrawSwords"
				then
					if PrevAnim == "DrawSwords"
					then
						return "runtrans_bs"
					else
						return
					end
				elseif PrevAnim == "finishrun_b" or PrevAnim == "runtrans_sb_finish"
				then
					return "runtrans_bs"
				elseif PrevAnim == "runtrans_bs" or PrevAnim == "run_s" or PrevAnim == "runnoblend_s"
				then
					return "runnoblend_s"
				else
					return "run_s"
				end				
			EndScript
		End
 ; ------ Attacking ------- ;
		AnimationState        			= FIRING_OR_PREATTACK_A
			StateName					= Ready_Sword
			Animation           		= AttackWithSwordA
				AnimationName       	= RUElrond_SKL.RUElrond_ATKSV2
				AnimationMode       	= ONCE
				UseWeaponTiming			= Yes
			End
			Animation           		= AttackWithSwordB
				AnimationName       	= RUElrond_SKL.RUElrond_ATKS
				AnimationMode       	= ONCE
				UseWeaponTiming			= Yes
			End
			Animation           		= AttackWithSwordD
				AnimationName       	= RUElrond_SKL.RUElrond_ATKSV4
				AnimationMode       	= ONCE
				UseWeaponTiming			= Yes
			End
			BeginScript
				CurDrawableHideSubObject("ArrowNock")
				CurDrawableHideSubObject("arrow")
			EndScript
		End
		AnimationState					= USER_1
			Animation
				AnimationName			= RUElrond_SKL.RUElrond_TNTSV1
				AnimationMode			= ONCE
			End
		End
		AnimationState				= LEVELED
			Animation				= LevelUp
				AnimationName		= RUElrond_SKL.RUElrond_CHRST2
				AnimationMode		= ONCE
				AnimationBlendTime	= 20
			End
		End
 ; -------- Alert ------- ;
		AnimationState					= EMOTION_ALERT
			StateName					= Ready_Sword
			Animation					= Alert_1
				AnimationName			= RUElrond_SKL.RUElrond_IDLST1
				AnimationMode			= ONCE
				AnimationPriority		= 20
			End
			Animation					= Alert_1
				AnimationName			= RUElrond_SKL.RUElrond_IDLST1	; Secondary to solve the 'no play last anim' feature.
				AnimationMode			= ONCE
				AnimationPriority		= 20
			End
			Animation					= Alert_2
				AnimationName			= RUElrond_SKL.RUElrond_TNTSV1
				AnimationMode			= ONCE
				AnimationPriority		= 5
			End
			Flags						= RESTART_ANIM_WHEN_COMPLETE
			BeginScript
				Prev = CurDrawablePrevAnimationState()
				PrevName = CurDrawablePrevAnimation()
				
				CurDrawableHideSubObject("ArrowNock")
				CurDrawableHideSubObject("arrow")

				if		Prev == "Bored_Sword"		then CurDrawableSetTransitionAnimState("TRANS_BR_Sword")
				elseif	Prev == "Selected_Sword"		then CurDrawableSetTransitionAnimState("TRANS_SR_Sword")
				end
			EndScript
		End
 ; --------- Hit Reactions ---------- ;
		AnimationState = HIT_REACTION HIT_LEVEL_1
			StateName					= Bored_Sword
			Animation					= Hit_Level_1_a
				AnimationName			= RUElrond_SKL.RUElrond_HITSv1
				AnimationMode			= ONCE
				AnimationBlendTime		= 20
			End
		End
		AnimationState				= RAISING_FLAG
			Animation					= Alert_1
				AnimationName			= RUElrond_SKL.RUElrond_CHRST2
				AnimationMode			= LOOP
				AnimationBlendTime	= 10
			End
		End
 ; ------ Emotions ------ ;
		AnimationState					= EMOTION_TAUNTING
			Animation
				AnimationName			= RUElrond_SKL.RUElrond_TNTSV1
				AnimationMode			= LOOP
				AnimationBlendTime	= 10
			End
		End
		AnimationState				=	EMOTION_CELEBRATING
			Animation
				AnimationName		=	RUElrond_SKL.RUElrond_CHRST2
				AnimationMode		=	LOOP
				AnimationBlendTime	= 10
			End
		End




 ;------------------------------------------------------------------------------- ; From Object CINE_Elrond_Kata - swordfight with imaginary adversary ---------------------
		AnimationState				        = EMOTION_AMUSED  ; I use it with EMOTION_AMUSED animationstate to be able to call it in the mapeditor
			StateName				= Idle
			Animation				= IdleA
			AnimationName       = RUELROND_SKL.RUELROND_CINB
				AnimationPriority   = 20
				AnimationMode       = ONCE
				AnimationBlendTime  = 15
			End
			Flags			    = RANDOMSTART RESTART_ANIM_WHEN_COMPLETE
		End
 ; ------ Selected ---------------------------------------------------------------------------------------------------------------------------------------------------------





		AnimationState				=	SELECTED
			StateName				=	Selected_Sword
			Animation				=	ATNA
				AnimationName		=	RUElrond_SKL.RUElrond_ATNS
				AnimationMode		=	LOOP
			End
			BeginScript
				CurDrawableHideSubObject("ARROW")
				CurDrawableHideSubObject("ARROWNOCK")
				Prev = CurDrawablePrevAnimationState()
				PrevName = CurDrawablePrevAnimation()
				if Prev == "Bored_Sword"		then CurDrawableSetTransitionAnimState("TRANS_BS_Sword")
				elseif Prev == "Ready_Sword"		then CurDrawableSetTransitionAnimState("TRANS_RS_Sword")
				end	
			EndScript
		End
 ; ------- Bored -------- ;  
		IdleAnimationState
			StateName					= Bored_Sword
			Animation           		= IDLCX1
				AnimationName       	= RUElrond_SKL.RUElrond_IDLF
				AnimationMode       	= ONCE
				AnimationPriority		= 20
			End
			Animation           		= IDLCX1
				AnimationName       	= RUElrond_SKL.RUElrond_IDLF	; Secondary to solve the 'no play last anim' feature.
				AnimationMode       	= ONCE
				AnimationPriority		= 20
			End
			Animation           		= IDLCt3
				AnimationName       	= RUElrond_SKL.RUElrond_IDLCT3
				AnimationMode       	= ONCE
				AnimationPriority		= 10
			End
			Animation           		= IDLCT1
				AnimationName       	= RUElrond_SKL.RUElrond_IDLCT1
				AnimationMode       	= ONCE
				AnimationPriority		= 5
			End
			Flags						= RESTART_ANIM_WHEN_COMPLETE
			BeginScript
				CurDrawableHideSubObject("ARROW")
				CurDrawableHideSubObject("ARROWNOCK")				

				Prev = CurDrawablePrevAnimationState()
				PrevName = CurDrawablePrevAnimation()
				if Prev == "Selected_Sword"		then CurDrawableSetTransitionAnimState("TRANS_SB_Sword")
				elseif Prev == "Ready_Sword"		then CurDrawableSetTransitionAnimState("TRANS_RB_Sword")
				end	
			EndScript
		End
 ;----------------- Sword Transitions -------------------------;
		TransitionState       			= TRANS_BS_Sword
			Animation           		= TRANS_BS_Sword
				AnimationName     		= RUElrond_SKL.RUElrond_ATNA
				AnimationMode     		= ONCE
			End
			Animation           		= ATNAX1
				AnimationName     		= RUElrond_SKL.RUElrond_ATNX1
				AnimationMode     		= ONCE
			End
		End
		TransitionState       			= TRANS_SR_Sword
			Animation           		= TRANS_SR_Sword
				AnimationName     		= RUElrond_SKL.RUElrond_ATNC
				AnimationMode     		= ONCE
			End
		End
		TransitionState       			= TRANS_SB_Sword
			Animation           		= TRANS_SB_Sword
				AnimationName     		= RUElrond_SKL.RUElrond_ATNA
				AnimationMode     		= ONCE_BACKWARDS
			End
			Flags = START_FRAME_LAST
		End
		TransitionState       			= TRANS_RS_Sword
			Animation           		= TRANS_RS_Sword
				AnimationName     		= RUElrond_SKL.RUElrond_ATNC
				AnimationMode     		= ONCE_BACKWARDS
			End
			Flags = START_FRAME_LAST
		End
		TransitionState       			= TRANS_BR_Sword
			Animation           		= TRANS_BR_Sword
				AnimationName     		= RUElrond_SKL.RUElrond_ATNS
				AnimationMode     		= ONCE
				AnimationBlendTime		= 20
			End
		End
		TransitionState       			= TRANS_RB_Sword
			Animation           		= TRANS_RB_Sword
				AnimationName     		= RUElrond_SKL.RUElrond_IDLG
				AnimationMode     		= ONCE
				AnimationBlendTime		= 20
			End
		End